#
# spec file for package python-pick
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pick
Version:        0.6.4
Release:        3.1
Summary:        Curses-based interactive selection list module
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/wong2/pick
Source0:        https://files.pythonhosted.org/packages/source/p/pick/pick-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
pick is a Python library to help create curses-based
interactive selection list in the terminal.

%prep
%setup -q -n pick-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Jan 22 2019 jengelh@inai.de
- Use noun phrase.
* Sat Jan 19 2019 aloisio@gmx.com
- Replaced tarball with current one
- Removed tests (units no longer supplied)
* Sun Dec 16 2018 munix9@googlemail.com
- initial package for version 0.6.4
